<?php
	$target='planilla';
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Ordenes/ordenes.php"); 
    
	$nombrepagina = "PROCESOS PLANILLAS";
    $v_mysql=conn_mysql();
	encabezado($target); 
    $user=$_SESSION['validar'];
	$tamano_pagina=20;
	$_SESSION['tam']=$tamano_pagina;  
	$pagina = $_GET["pagina"];
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
    $filas=1;   
	if($filas == 1){ 
		class llamado{
	 		var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
		class obtiene{
			var $userObj;
			function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
			}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];
		$perfil=$_SESSION['perfil'];
		if($perfil==1){
			$add='';
			if (!empty($num_planilla) and empty($id_mens)) $add=$add." and g.id_planilla='".$num_planilla."' ";
			if (!empty($id_mens) and empty($num_planilla)) $add=$add." and g.id_mensajero='".$id_mens."' ";
			if (!empty($id_mens) and !empty($num_planilla)) $add=$add." and g.id_mensajero='".$id_mens."' and g.id_planilla='".$num_planilla."'";
		}else{
			$add="and g.id_sucursal='".$_GET['suc']."'";
			if (!empty($num_planilla) and empty($id_mens)) $add=$add." and  g.id_planilla='".$num_planilla."' ";
			if (!empty($id_mens) and empty($num_planilla)) $add=$add." and  g.id_mensajero='".$id_mens."' ";
			if (!empty($id_mens) and !empty($num_planilla)) $add=$add." and g.id_mensajero='".$id_mens."' and g.id_planilla='".$num_planilla."'";
		}
		
		
		//$sql_planillas="SELECT g.id_planilla, p.fecha_planilla, p.hora_planilla, u.nombre as usuario, count(g.guia) as con_guia, m.nombre as nom_men, p.id_mensajero from guias_proceso as g
            //   inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
            //   inner join planillas as p on (g.id_planilla=p.id_planilla and g.id_mensajero=p.id_mensajero)
	       //    left outer join usuarios as u on (p.id_usuario=u.id_usuario)
          //     where g.id_planilla<>0 $add  group by g.id_planilla, g.id_mensajero";
        //echo $sql_planillas;
$sql_planillas="SELECT g.id_planilla from planillas as g 
                where g.id_planilla<>0 $add group by g.id_planilla order by g.id_planilla desc";
//$sql_planillas="SELECT p.id_planilla from guias_proceso as g
//                inner join planillas as p on (g.id_planilla=p.id_planilla)
//                where g.id_planilla<>0 $add group by p.id_planilla order by g.id_planilla desc";
 //echo $sql_planillas;

		$rst_select_lotes=mysql_query($sql_planillas,$v_mysql);
		$filas=mysql_num_rows($rst_select_lotes);
		$total_paginas= ceil($filas/$tamano_pagina);
?>
<form  method="get" name="backup" action="<? echo $PHP_SELF; ?>">
<CENTER>
<table width="450" border="0" align="center" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR PLANILLA ::..</div></td>
</tr>
<tr class="miTable_tr">
  <td valign="top" class="miTable_td">Mensajero:</td>
  <td valign="top" class="miTable_td">
<?
get_mensajero2($_GET['suc'],$id_mens);
?>
</td>
</tr>
<tr class="miTable_tr">
<td valign=top class="miTable_td" width="200"><div align="left">Digite la Planilla:</div></td>
<td valign=top class="miTable_td" width="200"><input type="text" name="num_planilla" value="<?=$num_planilla; ?>" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
<CENTER>
<table width="585" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Procesos Planillas ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="40">Planilla</td>
<td valign=top class=miTable_th1 width="60">Fecha</td>
<td valign=top class=miTable_th1 width="50">Hora</td>
<td valign=top class=miTable_th1 width="190">Usuario</td>
<td valign=top class=miTable_th1 width="55">Cantidad</td>
<td valign=top class=miTable_th1 width="190">Mensajero</td>
</tr>
<?
	class elimina{
		var $userObj;
		function eliminar($perfil,$num_planilla,$id_mens){
			$tamano_pagina=$_SESSION['tam'];
			$inicio=$_SESSION['inicio'];
			$this->userObj=new select_zonas();
			$this->userObj->lista_planilla($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],$perfil,$num_planilla,$id_mens);
		}
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($perfil,$num_planilla,$id_mens);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if($start > 1 ){
		print "&nbsp;<a href=ejecuta_planilla.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&num_planilla=$num_planilla&id_mens=$id_mens'> << </A>";
	}
	for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='ejecuta_planilla.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&num_planilla=$num_planilla&id_mens=$id_mens'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='ejecuta_planilla.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&num_planilla=$num_planilla&id_mens=$id_mens'> >> </A>";
	}
} 
?>
</div>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>

<?
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center>
</td><?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
</CENTER>
</form>